POST Agents/ErpSync/GetErpSyncConnectionSummary
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
POST /api/v1/Agents/ErpSync/GetErpSyncConnectionSummary
Get a summary of the current ErpSync configuration/setup
NsApiSlow threshold: 5000 ms.
Online Restricted: ## The ErpSync agent is not available in Online by default. Access must be requested specifically when app is registered. Intended for ERP integration apps.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/ErpSync/GetErpSyncConnectionSummary?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
ErpSyncConnectionId
| Property Name | Type | Description |
|---|---|---|
| ErpSyncConnectionId | Integer |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ErpSyncConnectionSummary
| Property Name | Type | Description |
|---|---|---|
| DisplayName | string | Connection name shown to user; multi-language support |
| DisplayDescription | string | Tooltip/description shown to user; multi-language support |
| Active | bool | Is the connection currently active |
| Deleted | bool | Is the connection deleted |
| LastSync | date-time | The time of the last sync |
| Actors | array | Summaries of the configuration of the actors configured for this connection |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/ErpSync/GetErpSyncConnectionSummary
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: fr,de,ru,zh
Content-Type: application/json; charset=utf-8
{
"ErpSyncConnectionId": 245
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"DisplayName": "Microsoft Dynamics 365 Sales",
"DisplayDescription": "Active ERP integration synchronizing customers, products, and sales data",
"Active": true,
"Deleted": false,
"LastSync": "2024-11-27T10:30:00+01:00",
"Actors": [
{
"ActorType": "Customer",
"HasMappings": true,
"Defaults": "5 default field values configured",
"Mappings": "12 fields mapped (Name, Address, VAT, etc.)",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 211
}
}
},
{
"ActorType": "Project",
"HasMappings": true,
"Defaults": "3 default field values configured",
"Mappings": "8 fields mapped (Name, Status, Budget, etc.)",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 211
}
}
}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 919
}
}
}